commit:     9a5db6deb24bbeb90a4cb12bfdf6c54adb967c7b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 29 18:48:25 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 29 19:55:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a5db6de

dev-python/httpx: Bump to 0.18.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httpx/Manifest            |  1 +
 dev-python/httpx/httpx-0.18.1.ebuild | 52 ++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index c8a14d5d3eb..5dec8e6a627 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -2,3 +2,4 @@ DIST httpx-0.16.1.tar.gz 965347 BLAKE2B 
a6c5bcdda595ffcfb824194564ebd93760a9180e
 DIST httpx-0.17.0.tar.gz 1651681 BLAKE2B 
46eec46d5f2006667ab51e5e4d98c1a22783351d9e2fa50ccab2431bf6e52dd9b124d50b32f151fc171561c913d879cfec4f717ea22fd2a333c13190368ab505
 SHA512 
9471c404c02481a10d42e10e36a55cd55cdecd2cd98a8f3ca1f453a7f1ad7f1ce3b292b8fe583b1c95119f27c0b2eefc756b4e4ed353e3383c12009f3bde21cd
 DIST httpx-0.17.1.tar.gz 1651788 BLAKE2B 
445e61dba5a2648191f57352b664a33785af01bb9ca29c7f553d10111894d0b4011a6987bdea880dd3fc87a60ddee7813a2d51e12178277b60ac27ac6fa930ef
 SHA512 
260040e266144f56b8d1cd085e0d97f2b570c685560fd2bc6baca633e8c9e88a666d0ba072048d63f826dd380df7116ce676dcfb48406e39a7480c44f73368c6
 DIST httpx-0.18.0.tar.gz 1663878 BLAKE2B 
968ac2a3bd1d150d1adb7e7de5c9dd3aba2ec549feecefdec040d7be1ed54c96b439eff65a4a0d36ebbe77f71af610fc7a0e774fd8dd494a7e80df4e8d0d96c0
 SHA512 
9648729dbac37500fc828a7cae98a705fa811ae2df0d4abb4bd13a97e03f1ef73b062112c24e7c3edf60140ed5342498a85b46e8cb6b999521ee5d4869656e84
+DIST httpx-0.18.1.tar.gz 1663996 BLAKE2B 
dcbfcb4a452b47b643d5114a535005f7f92170392202dedc6c152546430231d20fd8b94b7ecc1d2abacbc9d76acb14cbfdc268109b171cc40812504e696dcaab
 SHA512 
954b020d117dd1064262f3ac2d3137d01bba344b1a061e5713c3889283334d9ca92d9ed3d23f6ce79d684e31bae2d83fca6993178ef55e5a91353b812ad489e3

diff --git a/dev-python/httpx/httpx-0.18.1.ebuild 
b/dev-python/httpx/httpx-0.18.1.ebuild
new file mode 100644
index 00000000000..3dec4d445fb
--- /dev/null
+++ b/dev-python/httpx/httpx-0.18.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
+HOMEPAGE="https://www.python-httpx.org/";
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/sniffio[${PYTHON_USEDEP}]
+       =dev-python/httpcore-0.13*[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
+       <dev-python/rfc3986-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/brotlicffi[${PYTHON_USEDEP}]
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               dev-python/hyper-h2[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/trustme[${PYTHON_USEDEP}]
+               dev-python/uvicorn[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # trio is not currently in the tree
+       sed -i '/^import trio/d' tests/concurrency.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local deselect=(
+               # Internet
+               tests/client/test_proxies.py::test_async_proxy_close
+               tests/client/test_proxies.py::test_sync_proxy_close
+       )
+
+       epytest ${deselect[@]/#/--deselect }
+}

Reply via email to